window.Gleam.initSearch([{"doc":"lustre_hash_state","title":"lustre_hash_state","content":"# lustre_hash_state\n\n[![Package Version](https://img.shields.io/hexpm/v/lustre_hash_state)](https://hex.pm/packages/lustre_hash_state)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lustre_hash_state/)\n\n```sh\ngleam add lustre_hash_state\n```\n\n```gleam\nimport lustre_hash_state\n\npub opaque type Msg {\n  // ...\n  HashChange(value: String)\n}\n\npub fn main() {\n  let app = lustre.application(init, update, view)\n  let assert Ok(_) = lustre.start(app, &quot;#app&quot;, Nil)\n}\n\nfn init(_flags) -&gt; #(Model, effect.Effect(Msg)) {\n  #(Model(), lustre_hash_state.init(HashChange))\n}\n\nfn update(model: Model, msg: Msg) -&gt; #(Model, effect.Effect(msg)) {\n  case msg {\n    // hash change events can update the model\n    HashChange(value) -&gt; {\n      #(Model(..model, value: value), effect.none())\n    }\n    UserUpdatedMessage(value) -&gt; {\n      #(\n        Model(..model, value: value),\n        // and user events can update the hash\n        lustre_hash_state.update(value),\n      )\n    }\n    // ...\n  }\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/lustre_hash_state&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"lustre_hash_state","title":"get_hash","content":"pub fn get_hash() -&gt; String\n Returns the current window.location.hash value, including the octothorpe.\n It&#39;s unlikely you&#39;d call this directly, but public for convenience.\nSynonyms:\nlustre_hash_state.get_hash\nlustre_hash_state get_hash","url":"lustre_hash_state.html#get_hash"},{"doc":"lustre_hash_state","title":"init","content":"pub fn init(msg: fn(String) -&gt; a) -&gt; Effect(a)\n The effect to be returned in your init method. Sets up hashchange event\n listener and sends messages to update.\nSynonyms:\nlustre_hash_state.init\nlustre_hash_state init","url":"lustre_hash_state.html#init"},{"doc":"lustre_hash_state","title":"noop","content":"pub fn noop() -&gt; Effect(a)\n A convenience method identical to effect.none()\nSynonyms:\nlustre_hash_state.noop\nlustre_hash_state noop","url":"lustre_hash_state.html#noop"},{"doc":"lustre_hash_state","title":"update","content":"pub fn update(s: String) -&gt; Effect(a)\n Updates the hash value.\nSynonyms:\nlustre_hash_state.update\nlustre_hash_state update","url":"lustre_hash_state.html#update"},{"doc":"lustre_hash_state","title":"lustre_hash_state","content":"","url":"lustre_hash_state.html"}]);